Retrieve multi-channel advertising product performance
curl --request GET \
--url https://mm-api.merchantspring.io/advertising/products \
--header 'x-api-key: <api-key>'import requests
url = "https://mm-api.merchantspring.io/advertising/products"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://mm-api.merchantspring.io/advertising/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mm-api.merchantspring.io/advertising/products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mm-api.merchantspring.io/advertising/products"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mm-api.merchantspring.io/advertising/products")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mm-api.merchantspring.io/advertising/products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"channel_id": "<string>",
"product_sku": "<string>",
"impressions": 123,
"clicks": 123,
"cost": 123,
"attributed_sales": 123,
"attributed_sales_same_sku": 123,
"attributed_conversions": 123,
"attributed_conversions_same_sku": 123,
"attributed_units_ordered": 123,
"attributed_units_ordered_same_sku": 123,
"acos": 123,
"click_through_rate": 123,
"cost_per_click": 123,
"conversion_rate": 123,
"roas": 123,
"product_title": "<string>",
"image_url": "<string>",
"link_url": "<string>"
}
],
"pagination": {
"pageIndex": 123,
"pageSize": 123,
"count": 123
},
"meta": {
"currency": "<string>"
}
}Advertising
Retrieve multi-channel advertising product performance
Returns paginated advertising product (ASIN) performance across up to 5 channels for the selected date range, optionally filtered to specific products. Values are currency-adjusted based on each store’s country and the requested currency. Supports sorting by any response column and zero-based page indexing.
GET
/
advertising
/
products
Retrieve multi-channel advertising product performance
curl --request GET \
--url https://mm-api.merchantspring.io/advertising/products \
--header 'x-api-key: <api-key>'import requests
url = "https://mm-api.merchantspring.io/advertising/products"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://mm-api.merchantspring.io/advertising/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mm-api.merchantspring.io/advertising/products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mm-api.merchantspring.io/advertising/products"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mm-api.merchantspring.io/advertising/products")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mm-api.merchantspring.io/advertising/products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"channel_id": "<string>",
"product_sku": "<string>",
"impressions": 123,
"clicks": 123,
"cost": 123,
"attributed_sales": 123,
"attributed_sales_same_sku": 123,
"attributed_conversions": 123,
"attributed_conversions_same_sku": 123,
"attributed_units_ordered": 123,
"attributed_units_ordered_same_sku": 123,
"acos": 123,
"click_through_rate": 123,
"cost_per_click": 123,
"conversion_rate": 123,
"roas": 123,
"product_title": "<string>",
"image_url": "<string>",
"link_url": "<string>"
}
],
"pagination": {
"pageIndex": 123,
"pageSize": 123,
"count": 123
},
"meta": {
"currency": "<string>"
}
}Query Parameters
Response column to sort by (default product_sku).
Available options:
channel_id, product_sku, impressions, clicks, cost, attributed_sales, attributed_sales_same_sku, attributed_conversions, attributed_conversions_same_sku, attributed_units_ordered, attributed_units_ordered_same_sku, acos, click_through_rate, cost_per_click, conversion_rate, roas Was this page helpful?